Macaulay2 » Documentation
Packages » CompleteIntersectionResolutions :: isLinear
next | previous | forward | backward | up | index | toc

# isLinear -- check whether matrix entries have degree 1

- Usage:
    `b = isLinear M`
- Inputs:
  - M, a matrix,
- Outputs:
  - b, a Boolean value,

## Description

Note that a linear matrix, in this sense, can still have different target degrees (in which case the cokernel decomposes into a direct sum by generator degree.)

## Ways to use isLinear:

- `isLinear(Matrix)`

## For the programmer

The object isLinear is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/CompleteIntersectionResolutions.m2:3463:0.